package com.tsi.api.server.controller.result;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Setter
@Getter
@ToString
public class TscSsipApiResultKafkaTokenInfo extends AbstractTscSsipApiResult {

    private static final long serialVersionUID = 1L;

    private String accessToken;

    public TscSsipApiResultKafkaTokenInfo(int status, String message) {
        super(status, message);
        this.accessToken = null;
    }

    public TscSsipApiResultKafkaTokenInfo(int status, String message, String jwtToken) {
        super(status, message);
        this.accessToken = jwtToken;
    }

}
